
CFLAGS		:= -Os -mcpu=cortex-m3 -mthumb
LDFLAGS		:= -mcpu=cortex-m3 -mthumb -L$(INSTALL_ROOT)/A2F/root/usr/lib

CC	= $(CROSS_COMPILE_APPS)gcc

#incldue
CFLAGS	+= -I ./
CFLAGS 	+= -I ./Inc
CFLAGS	+= -I ./Inc/Legacy
#library

SRC = $(wildcard ./Src/*.c)
SRC += $(wildcard ./*.c)

all:
	$(CC) $(LDFLAGS) $(CFLAGS) -c $(SRC)


clean:
	OBJS	= $(SRC:%.o=%.c)
	rm -rf $(OBJS)